From: =?utf-8?q?Jonah_Br=C3=BCchert?= <jbb@kaidan.im>
Date: Fri, 30 Aug 2024 02:14:17 +0700
Subject: Detect pulseaudio version from the system,
 don't assume it's always the same as the droid module's one

[ratchanan@ubports.com: forward-port to Meson build system]

Origin: vendor, https://gitlab.com/debian-pm/halium/pulseaudio-modules-droid/-/blob/master/debian/patches/detect-pulseaudio-version.patch
---
 meson.build | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

diff --git a/meson.build b/meson.build
index 3ea3919..d1f3d95 100644
--- a/meson.build
+++ b/meson.build
@@ -32,15 +32,18 @@ pulsecore_dep = dependency('pulsecore', version : '>= 14.2', required : true)
 libudev_dep = dependency('libudev', required : true)
 libevdev_dep = dependency('libevdev', required : true)
 
-pa_version_str = meson.project_version()
+pa_version_str = pulsecore_dep.version()
+version_split = pa_version_str.split('.')
+pa_version_major = version_split[0].split('v')[0]
+pa_version_minor = version_split[1]
+pa_version_major_minor = pa_version_major + '.' + pa_version_minor
+
+project_version_str = meson.project_version()
 # For tarballs, the first split will do nothing, but for builds in git, we
 # split out suffixes when there are commits since the last tag
 # (e.g.: v11.99.1-3-gad14bdb24 -> v11.99.1)
-version_split = pa_version_str.split('-')[0].split('.')
-pa_version_major = version_split[0].split('v')[0]
-pa_version_minor = version_split[1]
+version_split = project_version_str.split('-')[0].split('.')
 pa_version_module = version_split[2].split('+')[0]
-pa_version_major_minor = pa_version_major + '.' + pa_version_minor
 
 if get_option('modlibexecdir') != ''
   modlibexecdir = join_paths(get_option('prefix'), get_option('modlibexecdir'))
